s2_semi_mgau_s Struct Reference

## Data Fields

ps_mgau_t | base
| base structure.
cmd_ln_t * | config
gauden_t * | g
uint8 *** | mixw
mmio_file_t * | sendump_mmap
uint8 * | mixw_cb
int32 | n_sen
uint8 * | topn_beam
int16 | max_topn
int16 | ds_ratio
vqFeature_t *** | topn_hist
| Top-N scores and codewords for past frames.
uint8 ** | topn_hist_n
| Variable top-N for past frames.
vqFeature_t ** | f
| Topn-N for currently scoring frame.
int | n_topn_hist
| Number of past frames tracked.
logmath_t * | lmath_8b
logmath_t * | lmath

## Detailed Description

Definition at line 59 of file s2_semi_mgau.h.

## Field Documentation

## base

ps_mgau_t s2_semi_mgau_s::base

base structure.

Definition at line 60 of file s2_semi_mgau.h.

## config

cmd_ln_t* s2_semi_mgau_s::config

Definition at line 61 of file s2_semi_mgau.h.

## ds_ratio

int16 s2_semi_mgau_s::ds_ratio

Definition at line 72 of file s2_semi_mgau.h.

## f

vqFeature_t** s2_semi_mgau_s::f

Topn-N for currently scoring frame.

Definition at line 76 of file s2_semi_mgau.h.

## g

gauden_t* s2_semi_mgau_s::g

Definition at line 63 of file s2_semi_mgau.h.

## lmath

logmath_t* s2_semi_mgau_s::lmath

Definition at line 82 of file s2_semi_mgau.h.

## lmath_8b

logmath_t* s2_semi_mgau_s::lmath_8b

Definition at line 80 of file s2_semi_mgau.h.

## max_topn

int16 s2_semi_mgau_s::max_topn

Definition at line 71 of file s2_semi_mgau.h.

## mixw

uint8*** s2_semi_mgau_s::mixw

Definition at line 65 of file s2_semi_mgau.h.

## mixw_cb

uint8* s2_semi_mgau_s::mixw_cb

Definition at line 68 of file s2_semi_mgau.h.

## n_sen

int32 s2_semi_mgau_s::n_sen

Definition at line 69 of file s2_semi_mgau.h.

## n_topn_hist

int s2_semi_mgau_s::n_topn_hist

Number of past frames tracked.

Definition at line 77 of file s2_semi_mgau.h.

## sendump_mmap

mmio_file_t* s2_semi_mgau_s::sendump_mmap

Definition at line 66 of file s2_semi_mgau.h.

## topn_beam

uint8* s2_semi_mgau_s::topn_beam

Definition at line 70 of file s2_semi_mgau.h.

## topn_hist

vqFeature_t*** s2_semi_mgau_s::topn_hist

Top-N scores and codewords for past frames.

Definition at line 74 of file s2_semi_mgau.h.

## topn_hist_n

uint8** s2_semi_mgau_s::topn_hist_n

Variable top-N for past frames.

Definition at line 75 of file s2_semi_mgau.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/s2_semi_mgau.h